#
# spec file for package perl-HTML-FillInForm
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name HTML-FillInForm
Name:           perl-HTML-FillInForm
Version:        2.22
Release:        1.10
#Upstream: Artistic-1.0 or GPL-1.0-or-later
Summary:        Populates HTML Forms with data
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CGI)
BuildRequires:  perl(HTML::TokeParser)
BuildRequires:  perl(Test::More) >= 0.96
%{perl_requires}

%description
This module fills in an HTML form with data from a Perl data structure,
allowing you to keep the HTML and Perl separate.

Here are two common use cases:

1. A user submits an HTML form without filling out a required field. You
want to redisplay the form with all the previous data in it, to make it
easy for the user to see and correct the error.

2. You have just retrieved a record from a database and need to display it
in an HTML form.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTORS README README.md
%license LICENSE

%changelog
* Thu Oct  7 2021 Pedro Monreal <pmonreal@suse.com>
- Remove patch rt-100926.patch merged upstream
* Sun Sep 26 2021 Tina Müller <timueller+perl@suse.de>
- updated to 2.22
  see /usr/share/doc/packages/perl-HTML-FillInForm/Changes
  Revision history for HTML-FillInForm
* Thu Aug 27 2015 hsk@imb-jena.de
- add CGI to Requires:, BuildRequires:, as that module is not in
  perl core since perl 5.22
- rt-100926.patch: patch from rt.cpan.org, #100926 / github, pr #9,
  to avoid security warning
* Tue Apr 14 2015 coolo@suse.com
- updated to 2.21
  see /usr/share/doc/packages/perl-HTML-FillInForm/Changes
  2.21 - August 14th, 2014
  - Declare CGI.pm as a testing dependency (RT #98012, thanks to Martin McGrath)
* Fri Oct  4 2013 coolo@suse.com
- updated to 2.20
  - Updated to support HTML5 (RT #75933, thanks to charsbar)
* Mon Jun 10 2013 coolo@suse.com
- updated to 2.11
  * Updated tests so that they pass with Perl 5.18 (Mark Stosberg)
* Tue Aug 30 2011 vcizek@suse.com
- update to 2.1
  * Fixed disable_fields option (#52667 Dirk Braun, Goro Fuji)
  * Add an option to clear absent checkboxes (#44101 Alex Kapranoff)
  * Fix incorrectly multiple escaped data in list context
  (#34081 Miika Pekkarinen)
  * Allow FIF to process the new <input> field  types (URL, email, and number)
  as defined in the HTML5 draft and already implemented by the iPhone.
  * (Michael Fisher)
  * Allow alternate parsing class (Mark Stosberg) mark
  invalid fields (Sam Tregar)
- licence correction
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Oct  8 2007 anicka@suse.cz
- update to 2.00
  * Allow passing an arrayref of hashrefs through fdat
  * Several new shortcuts
  * Add support for ID attribute on form tags
  * Added 'disable_fields' method
  * Support IE down-level revealed HTML comments
  * hash is not reset before each() is called
  * bugfixes
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan  3 2006 anicka@suse.cz
- update to 1.06
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Jul 29 2005 mjancar@suse.cz
- update to 1.05
* Thu Aug 19 2004 mjancar@suse.cz
- update to 1.04
* Thu Feb 26 2004 mjancar@suse.cz
- update to 1.03
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Fri Jun 13 2003 mjancar@suse.cz
- update to 1.02
- fix filelist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Fri Dec 20 2002 prehak@suse.cz
- updated to version 1.00
* Wed Jul 10 2002 prehak@suse.cz
- updated to version 0.29
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Fri Jan 18 2002 rvasice@suse.cz
- update to version 0.23
* Tue Aug 14 2001 rvasice@suse.cz
- update to version 0.18
- bzip sources
* Mon Apr  9 2001 cihlar@suse.cz
- initial version 0.11
